import { CryptoCurrency, CryptoCurrencyId } from "@ledgerhq/types-cryptoassets";
export declare const cryptocurrenciesById: Record<CryptoCurrencyId, CryptoCurrency>;
export declare function registerCryptoCurrency(currency: CryptoCurrency): void;
export declare function listCryptoCurrencies(withDevCrypto?: boolean, withTerminated?: boolean): CryptoCurrency[];
export declare function findCryptoCurrency(f: (arg0: CryptoCurrency) => boolean): CryptoCurrency | null | undefined;
export declare function findCryptoCurrencyByScheme(scheme: string): CryptoCurrency | null | undefined;
export declare function findCryptoCurrencyByTicker(ticker: string): CryptoCurrency | null | undefined;
export declare function findCryptoCurrencyById(id: string): CryptoCurrency | null | undefined;
export declare const findCryptoCurrencyByKeyword: (keyword: string, tests?: string[]) => CryptoCurrency | null | undefined;
export declare const findCryptoCurrencyByManagerAppName: (managerAppName: string) => CryptoCurrency | null | undefined;
export declare const hasCryptoCurrencyId: (id: string) => boolean;
export declare function getCryptoCurrencyById(id: string | undefined): CryptoCurrency;
